# Interface: DefaultTasksRunnerOptions

## Table of contents

### Properties

- [cacheDirectory](../../devkit/documents/DefaultTasksRunnerOptions#cachedirectory): string
- [cacheableOperations](../../devkit/documents/DefaultTasksRunnerOptions#cacheableoperations): string[]
- [cacheableTargets](../../devkit/documents/DefaultTasksRunnerOptions#cacheabletargets): string[]
- [captureStderr](../../devkit/documents/DefaultTasksRunnerOptions#capturestderr): boolean
- [lifeCycle](../../devkit/documents/DefaultTasksRunnerOptions#lifecycle): LifeCycle
- [parallel](../../devkit/documents/DefaultTasksRunnerOptions#parallel): number
- [remoteCache](../../devkit/documents/DefaultTasksRunnerOptions#remotecache): RemoteCache
- [runtimeCacheInputs](../../devkit/documents/DefaultTasksRunnerOptions#runtimecacheinputs): string[]
- [skipNxCache](../../devkit/documents/DefaultTasksRunnerOptions#skipnxcache): boolean

## Properties

### cacheDirectory

• `Optional` **cacheDirectory**: `string`

---

### cacheableOperations

• `Optional` **cacheableOperations**: `string`[]

---

### cacheableTargets

• `Optional` **cacheableTargets**: `string`[]

---

### captureStderr

• `Optional` **captureStderr**: `boolean`

---

### lifeCycle

• **lifeCycle**: `LifeCycle`

---

### parallel

• `Optional` **parallel**: `number`

---

### remoteCache

• `Optional` **remoteCache**: [`RemoteCache`](../../devkit/documents/RemoteCache)

---

### runtimeCacheInputs

• `Optional` **runtimeCacheInputs**: `string`[]

---

### skipNxCache

• `Optional` **skipNxCache**: `boolean`
